<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Diasdecredito{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion,$nrodias){
	$sql="INSERT INTO diasdecreditos (nombre,descripcion,condicion,nrodias) VALUES ('$nombre','$descripcion','1','$nrodias')";
	return ejecutarConsulta($sql);
}

public function editar($iddiasdecredito,$nombre,$descripcion,$nrodias){
	$sql="UPDATE diasdecreditos SET nombre='$nombre',descripcion='$descripcion',nrodias='$nrodias'
	WHERE iddiasdecredito='$iddiasdecredito'";
	return ejecutarConsulta($sql);
}
public function desactivar($iddiasdecredito){
	$sql="UPDATE diasdecreditos SET condicion='0' WHERE iddiasdecredito='$iddiasdecredito'";
	return ejecutarConsulta($sql);
}
public function activar($iddiasdecredito){
	$sql="UPDATE diasdecreditos SET condicion='1' WHERE iddiasdecredito='$iddiasdecredito'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($iddiasdecredito){
	$sql="SELECT * FROM diasdecreditos WHERE iddiasdecredito='$iddiasdecredito'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM diasdecreditos";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM diasdecreditos WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
